import { computed, unref, ref } from 'vue'
import { isBoolean } from '@/utils/is'

export function usePagination(refProps) {
  const configRef = ref({})
  const show = ref(true)
  console.log('configRef', configRef)
  console.log('refProps', refProps)
  const getPaginationInfo = computed(() => {
    const { pagination, paginationSetting } = unref(refProps)
    if (!unref(show) || (isBoolean(pagination) && !pagination)) {
      return false
    }
    return {
      pageSize: paginationSetting.defaultPageSize,
      pageSizes: paginationSetting.pageSizes,
      showSizePicker: true,
      showQuickJumper: true,
      ...(isBoolean(pagination) ? {} : pagination),
      ...unref(configRef),
      pageCount: unref(configRef)[paginationSetting.totalField]
    }
  })

  function setPagination(info) {
    const paginationInfo = unref(getPaginationInfo)
    configRef.value = {
      ...(!isBoolean(paginationInfo) ? paginationInfo : {}),
      ...info
    }
  }

  return { getPaginationInfo, setPagination }
}
